> ## Documentation Index
> Fetch the complete documentation index at: https://apidocs.specurate.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Record Offline



## OpenAPI

````yaml /openapi.json post /v1/workspaces/{workspaceId}/projects/{projectId}/client-presentations/{presentationId}/offline-response
openapi: 3.1.0
info:
  title: Specurate API
  description: ''
  version: 1.0.0
  contact: {}
servers:
  - url: https://app.specurate.com/api
    description: API Server
security: []
tags: []
paths:
  /v1/workspaces/{workspaceId}/projects/{projectId}/client-presentations/{presentationId}/offline-response:
    post:
      tags:
        - Client Presentations
      summary: Record Offline
      operationId: ClientPresentationsController_recordOffline_v1
      parameters:
        - name: workspaceId
          required: true
          in: path
          schema:
            type: string
        - name: projectId
          required: true
          in: path
          schema:
            type: string
        - name: presentationId
          required: true
          in: path
          schema:
            type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                versionN:
                  type: integer
                  minimum: 1
                  maximum: 1000000
                expectedVersion:
                  type: integer
                  exclusiveMinimum: 0
                  maximum: 9007199254740991
                recipientId:
                  type: string
                  pattern: ^[1-9]\d{0,18}$
                operationId:
                  type: string
                  format: uuid
                  pattern: >-
                    ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
                responseDate:
                  type: string
                  format: date
                  pattern: >-
                    ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))$
                note:
                  type: string
                  maxLength: 4000
                evidenceUploadSalt:
                  anyOf:
                    - type: string
                      format: uuid
                      pattern: >-
                        ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
                    - type: 'null'
                answers:
                  maxItems: 2500
                  type: array
                  items:
                    type: object
                    properties:
                      decision:
                        anyOf:
                          - enum:
                              - accepted
                              - refused
                              - alternative
                            type: string
                          - type: 'null'
                      alternativeId:
                        anyOf:
                          - type: string
                            pattern: ^[1-9]\d{0,18}$
                          - type: 'null'
                      comment:
                        anyOf:
                          - type: string
                            maxLength: 2000
                          - type: 'null'
                      optionComments:
                        anyOf:
                          - type: object
                            propertyNames:
                              type: string
                              pattern: ^[1-9]\d{0,18}$
                            additionalProperties:
                              type: string
                              maxLength: 2000
                          - type: 'null'
                      slotId:
                        type: string
                        pattern: ^[1-9]\d{0,18}$
                    required:
                      - decision
                      - slotId
                    additionalProperties: false
              required:
                - versionN
                - expectedVersion
                - recipientId
                - operationId
                - responseDate
                - answers
              additionalProperties: false
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                type: object

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.